> ## Documentation Index
> Fetch the complete documentation index at: https://docs.request.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Update agreement status

> Update the agreement completion status for a user.



## OpenAPI

````yaml /api-reference/openapi.v2.json patch /v2/payer/{clientUserId}
openapi: 3.0.0
info:
  title: Request Network API
  description: API for easily creating and paying Requests with Request Network.
  version: 0.13.0
  contact: {}
servers:
  - url: https://api.request.network
    description: Production server
  - url: https://api.stage.request.network
    description: Staging server
  - url: http://127.0.0.1:8080
    description: Local development server
security: []
tags:
  - name: V2/Request
    description: Core payment request operations (V2)
  - name: V2/Payments
    description: Payment search and management operations (V2)
  - name: V2/Payouts
    description: Pay a request without creating one first (V2)
  - name: V2/Payer
    description: Crypto-to-fiat payer management operations (V2)
  - name: V2/Currencies
    description: Currency operations (V2)
  - name: V2/Client IDs
    description: Client ID management (V2)
  - name: V2/Payee Destination
    description: Payee destination management (V2)
externalDocs:
  description: Request Network Docs
  url: https://docs.request.network/request-network-api
paths:
  /v2/payer/{clientUserId}:
    patch:
      tags:
        - Payer
        - V2/Payer
      summary: Update agreement status
      description: Update the agreement completion status for a user.
      operationId: PayerV2Controller_updateComplianceStatus_v2
      parameters:
        - name: clientUserId
          required: true
          in: path
          description: The client user ID to update
          schema:
            example: user-123
            type: string
        - name: x-api-key
          in: header
          description: API key for authentication
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                agreementCompleted:
                  type: boolean
              required:
                - agreementCompleted
              example:
                agreementCompleted: true
      responses:
        '200':
          description: Compliance status updated successfully
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
        '400':
          description: Invalid request data
          content:
            application/json:
              schema:
                properties:
                  statusCode:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: agreementCompleted must be provided
                  error:
                    type: string
                    example: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: User not found
          content:
            application/json:
              schema:
                properties:
                  statusCode:
                    type: number
                    example: 404
                  message:
                    type: string
                    example: Payer with client user ID user-123 not found
                  error:
                    type: string
                    example: Not Found
        '429':
          description: Too Many Requests

````